404.
Get source leaderboard
GET /{chainId}/donationSources/{address}/subjects/leaderboard
Query parameters
Response
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
View donation subject stats for a donation source owned by your project
404.
GET /{chainId}/donationSources/{address}/subjects/leaderboard
curl "https://www.donate.gg/api/v1/{chainId}/donationSources/{address}/subjects/leaderboard?limit=25" \
-H "donate-api-key: YOUR_API_KEY"
| Parameter | Type | Description |
|---|---|---|
chainId | integer | Chain ID where the donation source is deployed |
address | string | Donation source contract address (canonicalized by chain) |
| Parameter | Type | Default | Description |
|---|---|---|---|
limit | integer | 25 | Results per page, max 100 |
cursor | string | - | Cursor from previous pageKey for next page |
sortBy | "top-donated" | "recent-donation" | "top-donated" | Sort order for leaderboard results |
includeInappropriate | "true" | "false" | "true" | Whether to include entries flagged as inappropriate |
{
"pageKey": "next_cursor_string",
"response": [
{
"rank": 1,
"chain": { "id": 101, "name": "Solana", "type": "solana" },
"type": "token",
"token": {
"address": "So11...",
"name": "Example Token",
"symbol": "EXMP",
"decimals": 6
},
"creatorAddress": "CreatorPubkey...",
"stats": {
"usdDonatedE6": "50000000",
"donationCount": "10",
"firstDonationDate": "2025-06-01T00:00:00.000Z",
"lastDonationDate": "2026-03-15T00:00:00.000Z"
}
}
]
}
| Status | Code | Description |
|---|---|---|
400 | VALIDATION_ERROR | Invalid chain ID, source address, or query parameters |
404 | NOT_FOUND | Donation source not found or does not belong to your project |
Was this page helpful?